package com.bcxin.ins.service.order;

import com.bcxin.ins.entity.policy_special.StBadAnalysis;
import com.bcxin.ins.vo.BadAnalysisVo;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;

public interface InsBadAnalysisAPIService extends IService<StBadAnalysis> {
	
	public List<StBadAnalysis> selectInsBadAnalysisByInsBadDebt(Long oid);
	
	public void setBadAnalysisByBadAnalysisVo(List<BadAnalysisVo> voList, Long bad_debt_id);
	
	public void accordingToTheBadAnalysisVoSetUpInsBadAnalysis(BadAnalysisVo vo, Long bad_debt_id);
	
	public List<BadAnalysisVo> getBadAnalysisVoListByInsBadAnalysisList(List<StBadAnalysis> ibaList);
	
	public BadAnalysisVo accordingToInsBadAnalysisIntoBadAnalysisVo(StBadAnalysis iba);
}
